/* SECTION 1 (marriage law advisor) */
.advisor-container {
  width: 100%;
  padding: 0 20px;
}

.advisor-wrapper {
  max-width: 1240px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 50px;
  padding: 80px 0;
  padding-top: 50px;
}

.advisor-content {
  max-width: 655px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.advisor-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
}

.advisor-point-list {
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.advisor-point-item {
  display: flex;
  align-items: flex-start;
  gap: 31px;
}

.advisor-point-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 8px;
  width: 65px;
  height: 66px;
  flex-shrink: 0;
  background-color: #d9fbd7;
}

.advisor-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

.advisor-image img {
  max-width: 404px;
  width: 100%;
  min-width: 378px;
  height: auto;
  object-fit: cover;
}

@media (max-width: 1023.98px) {
  .advisor-wrapper {
    padding: 60px 0;
    padding-top: 40px;
    flex-direction: column-reverse;
    gap: clamp(35px, 6.6vw, 50px);
  }

  .advisor-content {
    max-width: 708px;
    align-items: center;
    gap: clamp(35px, 5.3vw, 40px);
  }

  .advisor-head {
    max-width: 311px;
    align-items: center;
    text-align: center;
  }

  .crd-desc {
    max-width: 544px;
  }

  .crd-desc-2 p {
    max-width: 583px;
  }

  .advisor-image img {
    max-width: 377px;
    min-width: unset;
  }
}

@media (max-width: 640.98px) {
  .advisor-container {
    padding: 0 17px;
  }

  .advisor-wrapper {
    padding: 50px 0;
    padding-top: 35px;
  }

  .advisor-head {
    max-width: 321px;
  }
}

/* SECTION 2 (clear and nutral law-driven approach) */
.driven-container {
  width: 100%;
  padding: 0 20px;
  background-color: var(--color-mist-green);
}

.driven-wrapper {
  max-width: 1240px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 50px;
  padding: 80px 0;
}

.driven-visual {
  display: flex;
  flex-direction: column;
  aspect-ratio: 541 / 420;
  max-width: 541px;
  width: 100%;
  height: auto;
  min-width: 423px;
  background-color: var(--color-white);
}

.driven-image-main {
  display: flex;
  justify-content: center;
  align-items: center;
}

.driven-image-main img {
  max-width: 541px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.driven-image {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  margin-top: -80px;
}

.driven-experience-card {
  aspect-ratio: 240 / 175;
  max-width: 240px;
  width: 100%;
  height: auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  gap: 9px;
  padding: 46px 40px;
  background-color: var(--color-green);
  color: var(--color-white);
}

.driven-experience-card strong {
  font-size: 32px;
  line-height: 42px;
  font-weight: 600;
}

.driven-image-secondary {
  display: flex;
  justify-content: center;
  align-items: center;
}

.driven-image-secondary img {
  max-width: 302px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

.driven-content {
  max-width: 528px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.driven-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.driven-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
  max-width: 318px;
}

.driven-point-list {
  display: flex;
  justify-content: space-between;
  gap: 13px;
}

.driven-point-column {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.driven-point-item {
  display: flex;
  align-items: center;
  gap: 9px;
}

.driven-point-icon {
  display: flex;
  justify-content: center;
  align-items: center;
}

.driven-point-icon img {
  width: 14px;
  height: 14px;
}

.driven-talk-btn {
  max-width: 250px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  padding: 10px 16px;
  border: 2px solid var(--color-green);
  border-radius: 8px;
  background-color: var(--color-green);
  color: var(--color-white);
  transition:
    background-color 0.25s ease,
    color 0.25s ease;
}

.driven-talk-btn span {
  display: flex;
  justify-content: center;
  align-items: center;
}

.driven-talk-btn:hover {
  background-color: var(--color-white);
  color: var(--color-green);
}

@media (max-width: 1100px) {
  .driven-container {
    padding: 0 40px;
  }

  .driven-visual {
    max-width: 423px;
    min-width: unset;
  }

  .driven-image-main img {
    max-height: 181px;
  }

  .driven-image {
    margin-top: -50px;
  }

  .driven-experience-card {
    max-width: 189px;
    padding: 33px 17px;
  }
}

@media (max-width: 1023.98px) {
  .driven-container {
    padding: 0 20px;
  }

  .driven-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
  }

  .driven-experience-card {
    padding: 18px 17px;
  }

  .driven-content {
    max-width: 100%;
    align-items: center;
    gap: clamp(35px, 5.3vw, 40px);
  }

  .driven-head-para {
    max-width: 566px;
    align-items: center;
    text-align: center;
    gap: 10px;
  }

  .driven-point-list {
    max-width: 496px;
    width: 100%;
  }
}

@media (max-width: 640.98px) {
  .driven-container {
    padding: 0 10px;
  }

  .driven-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .driven-content {
    gap: 35px;
  }

  .driven-point-list {
    flex-direction: column;
    align-items: flex-start;
    gap: 13px;
    max-width: 225px;
  }

  .driven-point-column {
    gap: 13px;
  }
}

@media (max-width: 480px) {
  .driven-visual {
    max-width: 341px;
    aspect-ratio: auto;
  }

  .driven-image-main img {
    max-height: 146px;
  }

  .driven-image {
    margin-top: -43px;
  }

  .driven-experience-card {
    max-width: 152px;
    padding: 3px 9px;
  }
}

/* SECTION 3 (separate guidence for men and women) */
.guidence-container {
  width: 100%;
  padding: 0 20px;
}

.guidence-wrapper {
  max-width: 1240px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 50px;
  padding: 80px 0;
}

.guidence-content {
  max-width: 573px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.guidence-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.guidence-head {
  display: flex;
  flex-direction: column;
  gap: 3px;
  max-width: 408px;
}

.guidence-card-list {
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.guidence-card {
  display: flex;
  align-items: center;
  gap: 14px;
}

.guidence-card-icon {
  max-width: 77px;
  width: 100%;
  height: auto;
  flex-shrink: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.guidence-crd-deco {
  position: absolute;
  max-width: 77px;
  width: 100%;
  height: auto;
  object-fit: contain;
  z-index: -1;
}

.guidence-card-text {
  display: flex;
  flex-direction: column;
  gap: 3px;
  max-width: 389px;
}

.guidence-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

.guidence-image img {
  max-width: 525px;
  width: 100%;
  min-width: 419px;
  height: auto;
  object-fit: cover;
}

@media (max-width: 1023.98px) {
  .guidence-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
  }

  .guidence-content {
    max-width: 100%;
    align-items: center;
    gap: clamp(35px, 5.3vw, 40px);
  }

  .guidence-head-para {
    max-width: 580px;
    align-items: center;
    text-align: center;
    gap: 10px;
  }

  .guidence-head {
    max-width: 356px;
  }

  .guidence-card-list {
    max-width: 472px;
  }

  .guidence-card {
    gap: 10px;
  }

  .guidence-card-text {
    max-width: 100%;
  }

  .guidence-image img {
    min-width: unset;
  }
}

@media (max-width: 640.98px) {
  .guidence-container {
    padding: 0 17px;
  }

  .guidence-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .guidence-content {
    gap: 35px;
  }

  .guidence-card {
    gap: 14px;
  }

  .guidence-card-icon {
    aspect-ratio: 1 / 1;
    max-width: 56px;
  }

  .guidence-crd-img {
    width: 30px;
    height: 30px;
  }

  .guidence-card-text {
    padding-right: 33px;
  }

  .guidence-card:last-child > .guidence-card-text {
    padding-right: 18px;
  }
}

/* SECTION 4 (practical and court relavance guidance) */
.relevant-container {
  width: 100%;
  padding: 0 20px;
  background-color: var(--color-mist-green);
}

.relevant-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 43px;
  padding: 80px 0;
}

.relevant-head {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 3px;
}

.relevant-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  position: relative;
}

.relevant-content::before {
  content: "";
  position: absolute;
  width: 70%;
  height: 1px;
  background-color: #33d32c;
  left: 50%;
  top: 19.5%;
  transform: translateX(-50%);
}

.relevant-content::after {
  content: "";
  position: absolute;
  width: 70%;
  height: 1px;
  background-color: #33d32c;
  left: 50%;
  bottom: 19%;
  transform: translateX(-50%);
}

.relevant-column {
  display: flex;
  flex-direction: column;
  gap: 73px;
}

.relevant-card {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  gap: 10px;
  padding: 16px 15px;
  border-radius: 8px;
  max-width: 361px;
  width: 100%;
  background-color: var(--color-white);
  border: 1px solid var(--color-green);
  z-index: 5;
  transition: all 0.2s ease;
}

.relevant-card:hover {
  background-color: var(--color-green);
  color: var(--color-white);
  transition: all 0.2s ease;
}

.relevant-card:hover > h3 {
  color: var(--color-white);
  transition: all 0.2s ease;
}

.relevant-card h3 {
  color: var(--color-green);
}

.outer-cicle {
  position: absolute;
  width: 20px;
  height: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
  border-radius: 50%;
  border: 1px solid var(--color-green);
  right: -10px;
  top: 50%;
  transform: translateY(-50%);
  background-color: var(--color-white);
}

.inner-circle {
  width: 10px;
  height: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--color-green);
  border-radius: 50%;
  flex-shrink: 0;
}

.outer-cicle.right {
  left: -10px;
}

.relevant-image-block {
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 5;
}

.relevant-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

.relevant-image img {
  max-width: 324px;
  width: 100%;
  height: auto;
  object-fit: cover;
}

@media (max-width: 1156px) {
  .relevant-container {
    padding: 0 30px;
  }

  .relevant-card {
    max-width: 273px;
  }

  .relevant-column {
    gap: 32px;
  }

  .relevant-content::before {
    top: 22.5%;
  }

  .relevant-content::after {
    bottom: 22.5%;
  }

  .relevant-image img {
    max-width: 304px;
  }
}

@media (max-width: 1023.98px) {
  .relevant-container {
    padding: 0 20px;
  }

  .relevant-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 5.3vw, 40px);
  }

  .relevant-content {
    flex-direction: column;
    align-items: center;
    gap: 80px;
  }

  .relevant-column {
    gap: 23px;
  }

  .relevant-card {
    max-width: 334px;
    gap: 8px;
    padding: 16px 18px;
  }

  .relevant-content::before {
    height: 50%;
    width: 1px;
    top: 50%;
    transform: translateY(-50%);
    left: 50%;
  }

  .relevant-column-left > .relevant-card:first-child > .outer-cicle {
    display: none;
  }

  .relevant-column-right > .relevant-card:last-child > .outer-cicle {
    display: none;
  }

  .outer-cicle {
    top: unset;
    right: unset;
    bottom: -20px;
    left: 50%;
    transform: translateX(-50%);
  }

  .outer-cicle.right {
    top: -20px;
    left: 50%;
    transform: translateX(-50%);
  }

  .relevant-content::after {
    display: none;
    pointer-events: none;
  }
}

@media (max-width: 640.98px) {
  .relevant-container {
    padding: 0 30px;
  }

  .relevant-wrapper {
    padding: 50px 0;
  }

  .relevant-column {
    gap: 35px;
  }

  .relevant-card {
    padding: 16px 10px;
    gap: 10px;
  }
}

/* SECTION 5 (commitment to legal accuracy) */
.accuracy-container {
  width: 100%;
  padding: 0 40px;
}

.accuracy-wrapper {
  max-width: 1240px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 50px;
  padding: 80px 0;
}

.accuracy-visual {
  display: flex;
  justify-content: center;
  align-items: center;
}

.accuracy-image-main img {
  max-width: 478px;
  width: 100%;
  min-width: 383px;
  height: auto;
  object-fit: cover;
}

.accuracy-content {
  max-width: 552px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.accuracy-head-para {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.accuracy-head {
  display: flex;
  flex-direction: column;
  gap: 7px;
}

.accuracy-card-list {
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.accuracy-card {
  display: flex;
  align-items: flex-start;
  gap: 21px;
}

.accuracy-card-icon {
  width: 62px;
  height: 62px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-shrink: 0;
  border-radius: 50%;
  background-color: var(--color-light-green);
  margin-top: 4px;
}

.accuracy-card-text {
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.accuracy-card-text h3 {
  color: #3f3f41;
}

@media (max-width: 1100px) {
  .accuracy-container {
    padding: 0 50px;
  }
}

@media (max-width: 1023.98px) {
  .accuracy-container {
    padding: 0 20px;
  }

  .accuracy-wrapper {
    padding: 60px 0;
    gap: clamp(35px, 6.6vw, 50px);
    flex-direction: column;
  }

  .accuracy-image-main img {
    max-width: 383px;
    min-width: unset;
  }

  .accuracy-content {
    max-width: 534px;
    align-items: center;
    gap: clamp(35px, 5.3vw, 40px);
  }

  .accuracy-head-para {
    align-items: center;
    text-align: center;
    gap: 10px;
  }

  .accuracy-head {
    gap: 3px;
    align-items: center;
    text-align: center;
  }
}

@media (max-width: 640.98px) {
  .accuracy-container {
    padding: 0 10px;
  }

  .accuracy-wrapper {
    padding: 50px 0;
    gap: 35px;
  }

  .accuracy-image-main {
    padding: 0 5px;
  }

  .accuracy-head {
    gap: 1px;
    max-width: 249px;
  }

  .accuracy-card-icon {
    width: 44px;
    height: 44px;
  }

  .accuracy-card-icon img {
    width: 24px;
    height: 24px;
  }

  .accuracy-card {
    gap: 15px;
  }
}
